Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class ConstraintViolationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.ConstraintViolationException

All Implemented Interfaces
  Serializable

    public class ConstraintViolationException

extends RepositoryException

Exception thrown when an action would violate a constraint on repository structure. For example, when an attempt is made to persistently add an item to a node that would violate that node's node type.

See Also
  Serialized Form

Constructor Summary
`ConstraintViolationException(String message)`
`ConstraintViolationException(String message, Throwable cause)`
`ConstraintViolationException(String message, Throwable cause, boolean log)`
`ConstraintViolationException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstraintViolationException

    public ConstraintViolationException(String message)

### ConstraintViolationException

    public ConstraintViolationException(String message,
                                        Throwable cause)

### ConstraintViolationException

    public ConstraintViolationException(Throwable cause)

### ConstraintViolationException

    public ConstraintViolationException(String message,
                                        Throwable cause,
                                        boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved